com.sun.jna

## Class LastErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.LastErrorException

- All Implemented Interfaces:
    java.io.Serializable

      public class LastErrorException
      extends java.lang.RuntimeException

  Exception representing a non-zero error code returned in either `errno` or `GetLastError()`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastErrorException(int code)`
    `LastErrorException(java.lang.String msg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` Returns the error code of the error.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LastErrorException

          public LastErrorException(java.lang.String msg)

    - #### LastErrorException

          public LastErrorException(int code)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Returns the error code of the error.
      Returns:
        Error code.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.